Package ghidra.program.model.address

# Class OldGenericNamespaceAddress

java.lang.Object
ghidra.program.model.address.GenericAddress
ghidra.program.model.address.OldGenericNamespaceAddress

All Implemented Interfaces:
  `Address`, `Comparable<Address>`

public class OldGenericNamespaceAddress extends GenericAddress
`OldGenericNamespaceAddress` provides a means of instantiating namespace oriented addresses which were previously used for External, Stack and Register addresses. This class is needed to facilitate an upgrade since this concept is no longer supported by Address.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `OLD_MAX_NAMESPACE_ID`
  OLD_MAX_NAMESPACE_ID provides the maximum non-global namespace-ID supported by the old namespace address.
  `static final long`
  `OLD_MIN_NAMESPACE_ID`
  OLD_MIN_NAMESPACE_ID provides the minimum non-global namespace-ID supported by the old namespace address.

  ### Fields inherited from class ghidra.program.model.address.GenericAddress

  `addrSpace, offset, zeros`

  ### Fields inherited from interface ghidra.program.model.address.Address

  `EXT_FROM_ADDRESS, NO_ADDRESS, SEPARATOR, SEPARATOR_CHAR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OldGenericNamespaceAddress(AddressSpace addrSpace, long offset, long namespaceID)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Compares this Address to the specified object.
  `Address`
  `getGlobalAddress()`
  Returns global address (i.e., GenericAddress) for this address.
  `static Address`
  `getMaxAddress(AddressSpace addrSpace, long namespaceID)`
  Returns maximum namespace address within the specified address space for upgrade iterators.
  `static Address`
  `getMinAddress(AddressSpace addrSpace, long namespaceID)`
  Returns minimum namespace address within the specified address space for upgrade iterators.
  `long`
  `getNamespaceID()`
  Returns the namespace ID assigned to this address.

  ### Methods inherited from class ghidra.program.model.address.GenericAddress

  `add, addNoWrap, addNoWrap, addWrap, addWrapSpace, compareTo, getAddress, getAddressableWordOffset, getAddressSpace, getNewAddress, getNewAddress, getNewTruncatedAddress, getOffset, getOffsetAsBigInteger, getPhysicalAddress, getPointerSize, getSize, getUnsignedOffset, hashCode, hasSameAddressSpace, isConstantAddress, isExternalAddress, isHashAddress, isLoadedMemoryAddress, isMemoryAddress, isNonLoadedMemoryAddress, isRegisterAddress, isStackAddress, isSuccessor, isUniqueAddress, isVariableAddress, next, previous, subtract, subtract, subtractNoWrap, subtractWrap, subtractWrapSpace, toString, toString, toString, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OLD_MIN_NAMESPACE_ID

    public static final long OLD_MIN_NAMESPACE_ID
    OLD_MIN_NAMESPACE_ID provides the minimum non-global namespace-ID supported by the old namespace address.
    See Also:
      - Constant Field Values

  - ### OLD_MAX_NAMESPACE_ID

    public static final long OLD_MAX_NAMESPACE_ID
    OLD_MAX_NAMESPACE_ID provides the maximum non-global namespace-ID supported by the old namespace address. This was a function of the old 28-bit encoded address field used to store this value.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OldGenericNamespaceAddress

    public OldGenericNamespaceAddress(AddressSpace addrSpace, long offset, long namespaceID)

- ## Method Details

  - ### getNamespaceID

    public long getNamespaceID()
    Returns the namespace ID assigned to this address. This namespace ID generally corresponds to a Function.

  - ### getGlobalAddress

    public Address getGlobalAddress()
    Returns global address (i.e., GenericAddress) for this address.

  - ### getMinAddress

    public static Address getMinAddress(AddressSpace addrSpace, long namespaceID)
    Returns minimum namespace address within the specified address space for upgrade iterators. A minimum offset of 0x0 is always assumed.
    Parameters:
      `addrSpace` - address space
      `namespaceID` -
    Returns:
      minimum address

  - ### getMaxAddress

    public static Address getMaxAddress(AddressSpace addrSpace, long namespaceID)
    Returns maximum namespace address within the specified address space for upgrade iterators. For a signed stack space, the negative region is treated as positive for the purpose of identifying the maximum address key encoding.
    Parameters:
      `addrSpace` - address space
      `namespaceID` -
    Returns:
      maximum address

  - ### equals

    public boolean equals(Object o)
    Description copied from interface: `Address`
    Compares this Address to the specified object. The result is `true` if and only if the argument is not `null` and is a `Address` object that represents the same address as this object.
    Specified by:
      `equals` in interface `Address`
    Overrides:
      `equals` in class `GenericAddress`
    Parameters:
      `o` - the object to compare this `String` against.
    Returns:
      `true` if the `Addresses`are equal; `false` otherwise.
    See Also:
      - `Object.equals(java.lang.Object)`